Skip to content

Get Customer Pocket

Request

Retrieve a single Pocket for a given pocket_id.

Security
HTTPBearer
Path
customer_idstring, (uuid)(Customer Id)required
pocket_idstring, (uuid)(Pocket Id)required
Query
omit[]Array of strings or null(Omit[])
Any of:
unique
Array of strings
valuation_typeValuationType (string) or null(Valuation Type)
Any of:
string(ValuationType)
Enum:"rfq""jikonet"
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X GET \
  'https://your-partner-name.partner-api.jikoservices.com/api/v2/customers/{customer_id}/pockets/{pocket_id}/?omit%5B%5D=portfolio&valuation_type=rfq' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
idstring, (uuid)(Id)required

ID of the pocket

pocket_namestring(Pocket Name)required

Pocket name

portfolioPortfolio (object) or null
Any of:

Total liquid cash and holdings

statusstring(Status)required

Pocket status

Enum:"PENDING""OPEN""FROZEN""CLOSED"
attributesArray of strings(Attributes)
deposit_strategy_idstring(Deposit Strategy Id)required

Pocket deposit trading strategy ID (Example: UST-4W)

reinvestment_strategy_idstring or null(Reinvestment Strategy Id)required
Any of:

Pocket reinvestment trading strategy ID (Example: UST-4W)

string
typestring or null(Type)
Any of:

Pocket type

string
Enum:"JIKO_PAY""JIKO_STORE"
customer_idstring, (uuid)(Customer Id)required

The ID of the customer this pocket belongs to

object_typestring(Object Type)read-onlyrequired
Response
{ "id": "d0e1dd1b-3e21-4cd4-9872-f71ea4967ffd", "pocket_name": "4-week T-bills", "portfolio": { "securities": [], "cash": {}, "all_time_earnings": {}, "total_value": {}, "fees": [], "liquidation_value_t0": {}, "liquidation_value_t1": {} }, "status": "OPEN", "attributes": [], "deposit_strategy_id": "UST-4W", "reinvestment_strategy_id": "UST-26W", "customer_id": "62c5272e-ef8c-4d8a-a49d-633432409fd4", "object_type": "CustomerPocket" }